#
# spec file for package heartbeat (Version 2.0.5)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa OpenIPMI OpenIPMI-devel aaa_base acl atk attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cim-schema coreutils cpio cpp cracklib curl curl-devel cvs cyrus-sasl db diffutils e2fsprogs e2fsprogs-devel expat file filesystem fillup findutils flex fontconfig freetype2 gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz gnome-filesystem gnutls gnutls-devel gpm grep groff gtk2 gzip info insserv iputils klogd less libacl libart_lgpl libattr libcom_err libdrm libgcc libgcrypt libgcrypt-devel libglade2 libgpg-error libgpg-error-devel libidn libidn-devel libjpeg libnet libnscd libpng libstdc++ libsvg libsvg-cairo libtool libxcrypt libxml2 libxml2-devel libzio logrotate lynx lzo lzo-devel m4 make man mktemp module-init-tools ncurses ncurses-devel net-snmp net-snmp-devel net-tools netcfg openldap2-client openmotif-libs openslp openssl openssl-devel openwbem openwbem-devel pam pam-devel pam-modules pango patch perl perl-TermReadKey permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils python python-cairo python-devel python-gtk python-numeric python-xml rcs readline rpm rpm-devel rrdtool sed sensors strace swig sysfsutils sysvinit tar tcpd tcpd-devel texinfo timezone udev unzip util-linux vim xli xorg-x11-libs zlib zlib-devel

Name:           heartbeat
BuildRequires:  OpenIPMI-devel curl-devel e2fsprogs-devel glib2-devel gnutls-devel iputils libnet libxml2-devel lynx lzo-devel net-snmp-devel openwbem-devel pam-devel python-devel python-gtk python-xml swig tcpd-devel
%define	sanity_check	0
%define with_extra_warnings   0
%define with_debugging  0
%define without_fatal_warnings 1
%define sanity_check_aborts_build 0
Summary:        The Heartbeat Subsystem for High-Availability Linux
Version:        2.0.5
Release:        7.10
License:        LGPL
URL:            http://linux-ha.org/
Group:          Productivity/Clustering/HA
Source:         heartbeat-2.0.5.tar.bz2
Requires:       /bin/ping iptables python-xml python-gtk
Prereq:         /usr/sbin/groupadd /usr/bin/getent /usr/sbin/useradd
PreReq:         %insserv_prereq %fillup_prereq
PreReq:         heartbeat-pils heartbeat-stonith
Source1:        heartbeat.suse.in
Source2:        heartbeat-permissions.d
# Patch0:         heartbeat-post-2.0.5.diff
Patch1:         heartbeat-doc-directory.diff
Patch2:         heartbeat-cmi-indication-temporary-fix.diff
Patch3:         heartbeat-compatibility-level.diff
Patch4:         heartbeat-relax-dtd.diff
Patch5:         heartbeat-unclean-shutdown.diff
Patch6:         heartbeat-crm-fixes.diff
Patch7:         heartbeat-external-ssh.diff
Patch8:         heartbeat-rc3-no-crm.diff
Patch9:         heartbeat-relax-dtd-2.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Autoreqprov:    on
%debug_package
%package ldirectord
Summary:        A Monitoring Daemon for Maintaining High Availability Resources
Group:          Productivity/Clustering/HA
Requires:       perl-Net_SSLeay perl-libwww-perl ipvsadm
Obsoletes:      heartbeat-ldirectd
%package stonith
Requires:       telnet, /usr/bin/ssh
Summary:        An Interface for Shoot The Other Node In The Head
Group:          Productivity/Clustering/HA
%package pils
Summary:        A General Plug-In and Interface Loading Library
Group:          Productivity/Clustering/HA
%package cmpi
Summary:        Heartbeat CIM Provider
Group:          Productivity/Clustering/HA

%description
heartbeat is a sophisticated multinode resource manager for High
Availability clusters.

It can failover arbitrary resources, ranging from IP addresses over NFS
to databases that are tied in via resource scripts. The resources can
have arbitrary dependencies for ordering or placement between them.

heartbeat contains a cluster membership layer, fencing, and local and
clusterwide resource management functionality.

1.2/1.0 based 2-node only configurations are supported in a legacy
mode.

heartbeat implements the following kinds of heartbeats:

- Serial ports

- UDP/IPv4 broadcast, multi-cast, and unicast

- IPv4 "ping" pseudo-cluster members.



Authors:
--------
    Alan Robertson <alanr@unix.sh>
    Andrew Beekhof <abeekhof@suse.de>
    Guochun Shi <gshi@ncsa.uiuc.edu>
    Horms <horms@verge.net.net>
    Huang Zhen <zhenhltc@cn.ibm.com>
    Lars Marowsky-Bree <lmb@suse.de>
    Sun Jiang Dong <hasjd@cn.ibm.com>
    (See doc/AUTHORS)


%description ldirectord
The Linux Director Daemon (ldirectord) was written by Jacob Rief.
<jacob.rief@tiscover.com>

ldirectord is a stand alone daemon for monitoring the services on real
servers. Currently, HTTP, HTTPS, and FTP services are supported.
lditrecord is simple to install and works with the heartbeat code
(http://www.linux-ha.org/).

See 'ldirectord -h' and linux-ha/doc/ldirectord for more information.



Authors:
--------
    Alan Robertson <alanr@unix.sh>
    Andrew Beekhof <abeekhof@suse.de>
    Guochun Shi <gshi@ncsa.uiuc.edu>
    Horms <horms@verge.net.net>
    Huang Zhen <zhenhltc@cn.ibm.com>
    Lars Marowsky-Bree <lmb@suse.de>
    Sun Jiang Dong <hasjd@cn.ibm.com>
    (See doc/AUTHORS)


%description stonith
The STONITH module (also known as STOMITH) provides an extensible
interface for remotely powering down a node in the cluster.  The idea
is quite simple: when the software running on one machine wants to make
sure another machine in the cluster is not using a resource, pull the
plug on the other machine. The idea is simple and reliable, albeit
admittedly brutal.



Authors:
--------
    Alan Robertson <alanr@unix.sh>
    Andrew Beekhof <abeekhof@suse.de>
    Guochun Shi <gshi@ncsa.uiuc.edu>
    Horms <horms@verge.net.net>
    Huang Zhen <zhenhltc@cn.ibm.com>
    Lars Marowsky-Bree <lmb@suse.de>
    Sun Jiang Dong <hasjd@cn.ibm.com>
    (See doc/AUTHORS)


%description pils
A general plug-in and interface loading library. heartbeat-pills is
primarily used by heartbeat.



Authors:
--------
    Alan Robertson <alanr@unix.sh>
    Andrew Beekhof <abeekhof@suse.de>
    Guochun Shi <gshi@ncsa.uiuc.edu>
    Horms <horms@verge.net.net>
    Huang Zhen <zhenhltc@cn.ibm.com>
    Lars Marowsky-Bree <lmb@suse.de>
    Sun Jiang Dong <hasjd@cn.ibm.com>
    (See doc/AUTHORS)


%description cmpi
This package provides the CIM provider for managing heartbeat via
OpenWBEM.



Authors:
--------
    Alan Robertson <alanr@unix.sh>
    Andrew Beekhof <abeekhof@suse.de>
    Guochun Shi <gshi@ncsa.uiuc.edu>
    Horms <horms@verge.net.net>
    Huang Zhen <zhenhltc@cn.ibm.com>
    Lars Marowsky-Bree <lmb@suse.de>
    Sun Jiang Dong <hasjd@cn.ibm.com>
    (See doc/AUTHORS)

%prep
###########################################################
%setup -n linux-ha
# %patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p1
%patch6 -p1
%patch7 -p0
%patch8 -p1
%patch9 -p0
cp $RPM_SOURCE_DIR/heartbeat.suse.in ./heartbeat/init.d/heartbeat.in
%{?suse_update_config:%{suse_update_config -f}}
###########################################################

%build
# TODO: revisit -all
CFLAGS="${CFLAGS} ${RPM_OPT_FLAGS} -fstack-protector-all"
%if %with_extra_warnings
# CFLAGS="${CFLAGS} -Wshadow -Wfloat-equal -Waggregate-return -Wnested-externs -Wunreachable-code -Wendif-labels -Winline"
CFLAGS="${CFLAGS} -Wfloat-equal -Wendif-labels -Winline"
%endif
%if %with_debugging
CFLAGS="${CFLAGS} -O1 -g"
%endif
CFLAGS="${CFLAGS}" \
./ConfigureMe configure --prefix=/usr --sysconfdir=%{_sysconfdir} \
	--localstatedir=/var --infodir=%{_infodir} \
	--mandir=%{_mandir} --libdir=%{_libdir} \
	--libexecdir=%{_libdir} \
%if %without_fatal_warnings
	--enable-fatal-warnings=no \
%endif
	--with-group-id=90 \
	--with-ccmuser-id=90 --with-ccmuser-name=hacluster \
	--enable-mgmt --enable-cim-provider \
	--with-cimom=openwbem \
	--with-cmpi-headers=/usr/include/openwbem \
	--with-provider-dir=/usr/%{_lib}/openwbem/cmpiproviders \
	--enable-crm-dev --with-hapkgversion=%{version}
# MAKE="make %{?jobs:-j%jobs}" make %{?jobs:-j%jobs}
make 
# No longer needed, we supply our own.
rm rc.config.heartbeat
###########################################################

%install
###########################################################
#make DESTDIR=$RPM_BUILD_ROOT install-strip
make DESTDIR=$RPM_BUILD_ROOT install
ln -sf ../../../usr/sbin/ldirectord $RPM_BUILD_ROOT/etc/ha.d/resource.d/ldirectord
test -d $RPM_BUILD_ROOT/sbin || mkdir $RPM_BUILD_ROOT/sbin
ln -sf ../etc/init.d/heartbeat  $RPM_BUILD_ROOT/sbin/rcheartbeat
ln -sf ../etc/init.d/ldirectord $RPM_BUILD_ROOT/sbin/rcldirectord 
ln -sf %{_libdir}/heartbeat/haclient.py $RPM_BUILD_ROOT/usr/bin/hb_gui
#%if %suse_version < 931
#mkdir -p $RPM_BUILD_ROOT/etc/permissions.d/
#cp -a %{SOURCE2} $RPM_BUILD_ROOT/etc/permissions.d/heartbeat
#%endif
#%if %suse_version >= 931
find $RPM_BUILD_ROOT -name '*.a' -type f -print0 | xargs -0 rm -f
find $RPM_BUILD_ROOT -name '*.la' -type f -print0 | xargs -0 rm -f
#%endif
%if %with_debugging
> /usr/lib/rpm/brp-strip-debug  
%endif
###########################################################

%clean
###########################################################
if
  [ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ]
then
  rm -rf $RPM_BUILD_ROOT
fi
###########################################################

%pre
if
  getent group haclient >/dev/null
then
  : OK group haclient already present
else
  /usr/sbin/groupadd -o -r -g 90 haclient 2>/dev/null || :
fi
if
  getent passwd hacluster >/dev/null
then
  : OK hacluster user already present
else
  /usr/sbin/useradd -r -g haclient -c "heartbeat processes" \
  	-d /var/lib/heartbeat/cores/hacluster -o -u 90 \
	hacluster 2>/dev/null || :
fi
#
###########################################################

%preun
%stop_on_removal heartbeat
###########################################################

%post
%run_ldconfig
%{fillup_and_insserv -n heartbeat}
%if %sanity_check
if [ -e /.buildenv ] && [ ! -e /tmp/linux-ha.testlog ]; then
	%{_libdir}/heartbeat/BasicSanityCheck
	rc=$?
	killall -9 heartbeat ccm stonithd cib crmd lrmd \
		tengine pengine ha_logd
	if [ $rc -ne 0 ]; then
		echo BasicSanityCheck exited with non-zero code: $rc. test log follows:
		cat /tmp/linux-ha.testlog
%if %sanity_check_aborts_build
		exit 1
%endif
	fi
else
	mv /tmp/linux-ha.testlog /tmp/linux-ha.testlog.save
fi
exit 0
%endif
###########################################################

%postun
%run_ldconfig
%restart_on_update heartbeat
%{insserv_cleanup}
###########################################################

%files
###########################################################
%defattr(-,root,root)
%dir /etc/ha.d
/etc/ha.d/README.config
/etc/ha.d/conf
/etc/ha.d/harc
/etc/ha.d/rc.d
/etc/ha.d/shellfuncs
/etc/ha.d/resource.d/
%config /etc/init.d/heartbeat
%config /etc/logrotate.d/heartbeat
%if %suse_version < 931
%config /etc/permissions.d/heartbeat
%endif
/etc/pam.d/hbmgmtd
%dir %{_libdir}/heartbeat
%{_libdir}/heartbeat/BasicSanityCheck
%{_libdir}/heartbeat/ResourceManager
%{_libdir}/heartbeat/TestHeartbeatComm
%{_libdir}/heartbeat/_pymgmt.so*
%{_libdir}/heartbeat/api_test
%{_libdir}/heartbeat/apphbd
%{_libdir}/heartbeat/apphbtest
%{_libdir}/heartbeat/atest
%{_libdir}/heartbeat/attrd
%{_libdir}/heartbeat/base64_md5_test
%{_libdir}/heartbeat/ccm*
%{_libdir}/heartbeat/cib*
%{_libdir}/heartbeat/clmtest
%{_libdir}/heartbeat/crm*
%{_libdir}/heartbeat/cts
%{_libdir}/heartbeat/findif
%{_libdir}/heartbeat/ha*
%{_libdir}/heartbeat/hb*
%{_libdir}/heartbeat/heartbeat
%{_libdir}/heartbeat/ipc*
%{_libdir}/heartbeat/ipfail
%{_libdir}/heartbeat/logtest
%{_libdir}/heartbeat/lrm*
%{_libdir}/heartbeat/mach_down
%{_libdir}/heartbeat/mgmt*
%{_libdir}/heartbeat/mlock
%{_libdir}/heartbeat/ocf-shellfuncs
%{_libdir}/heartbeat/pengine
%{_libdir}/heartbeat/pingd
%{_libdir}/heartbeat/plugins
%{_libdir}/heartbeat/ptest
%{_libdir}/heartbeat/pymgmt.py
%{_libdir}/heartbeat/recoverymgrd
%{_libdir}/heartbeat/req_resource
%{_libdir}/heartbeat/send_arp
%{_libdir}/heartbeat/stonithd*
%{_libdir}/heartbeat/ttest
%{_libdir}/heartbeat/tengine
%{_libdir}/heartbeat/*.png
%{_libdir}/libapphb.*
%{_libdir}/libccmclient.*
%{_libdir}/libcib.*
%{_libdir}/libclm.*
%{_libdir}/libcrmcommon.*
%{_libdir}/libhbclient.*
%{_libdir}/liblrm.*
%{_libdir}/libhbmgmt.*
%{_libdir}/libhbmgmtclient.*
%{_libdir}/libhbmgmtcommon.*
%{_libdir}/libhbmgmttls.*
%{_libdir}/libpengine.*
%{_libdir}/libplumb.*
%{_libdir}/libplumbgpl.*
%{_libdir}/librecoverymgr.*
%{_libdir}/libstonithd.*
%{_libdir}/libtransitioner.*
/usr/lib/ocf
# /usr/share/snmp/mibs/LINUX-HA-MIB.mib
/sbin/rcheartbeat
%attr (2555, root, haclient) /usr/bin/cl_status
/usr/bin/cl_respawn
/usr/bin/hb_gui
/usr/include/clplumbing
/usr/include/heartbeat
/usr/include/ocf
/usr/include/saf
/usr/sbin/attrd_updater
/usr/sbin/ccm_tool
/usr/sbin/cibadmin
/usr/sbin/crm_attribute
/usr/sbin/crm_diff
/usr/sbin/crm_failcount
/usr/sbin/crm_master
/usr/sbin/crm_mon
/usr/sbin/crm_primitive.py
/usr/sbin/crm_resource
/usr/sbin/crm_standby
/usr/sbin/crm_uuid
/usr/sbin/crm_verify
/usr/sbin/crmadmin
/usr/sbin/iso8601
/usr/share/locale/zh_CN/LC_MESSAGES/haclient.mo
%dir /var/lib/heartbeat
# %ghost %attr (600, root, root)   /var/lib/heartbeat/fifo
%dir %attr (755, hacluster, haclient) /var/run/heartbeat/ccm
%dir %attr (750, hacluster, haclient) /var/lib/heartbeat/crm
%dir %attr (750, hacluster, haclient) /var/lib/heartbeat/pengine
%dir %attr (750, hacluster, haclient) /var/run/heartbeat/crm
%dir /var/lib/heartbeat/cores
%dir %attr (0700, root, root) /var/lib/heartbeat/cores/root
%dir %attr (0700, nobody, nogroup) /var/lib/heartbeat/cores/nobody
%dir %attr (0700, hacluster, haclient) /var/lib/heartbeat/cores/hacluster
%dir /var/run/heartbeat
%doc /usr/share/doc/packages/heartbeat
%doc /usr/share/man/man1/cl_status.1*
%doc /usr/share/man/man1/ha_logger.1*
%doc /usr/share/man/man1/hb_addnode.1*   
%doc /usr/share/man/man1/hb_delnode.1*   
%doc /usr/share/man/man1/hb_standby.1*   
%doc /usr/share/man/man1/hb_takeover.1*   
%doc /usr/share/man/man8/apphbd.8*
%doc /usr/share/man/man8/cibadmin.8*
%doc /usr/share/man/man8/ha_logd.8*
%doc /usr/share/man/man8/heartbeat.8*
# Files for CIM

%files cmpi
%defattr(-,root,root)
%{_libdir}/heartbeat/cim
%{_libdir}/openwbem/cmpiproviders/libHA*
###########################################################
# Files for ldirectord

%files ldirectord
###########################################################
%defattr(-,root,root)
/usr/sbin/ldirectord
/etc/logrotate.d/ldirectord
/etc/init.d/ldirectord
/sbin/rcldirectord
/usr/sbin/supervise-ldirectord-config
%doc ldirectord/ldirectord.cf
%doc /usr/share/man/man8/ldirectord.8*
%doc /usr/share/man/man8/supervise-ldirectord-config.8*
###########################################################
# Files for the stonith library

%files stonith
###########################################################
%defattr(-,root,root)
/usr/include/stonith
%{_libdir}/libstonith.*
%{_libdir}/stonith
/usr/sbin/stonith
/usr/sbin/meatclient
%doc /usr/share/man/man8/stonith.8*
%doc /usr/share/man/man8/meatclient.8*
###########################################################
# Files for the PILS library

%files pils
###########################################################
%defattr(-,root,root)
/usr/include/pils
%{_libdir}/libpils.*
%{_libdir}/pils

%changelog -n heartbeat
* Mon Jun 12 2006 - lmb@suse.de
- CRM:
- Fix shutdown when a node had failed resources.
- Swapped params to crm_resource (#182081).
- Correctly recreate actions for master/slave resources after
  fencing.
- Handle deletions of transient node attributes.
- Improve handling of XML diffs (#181975).
- Fencing stopped to operate on the node the GUI connected to, causing
  cluster errors (#181748).
- GUI fixes.
- Add evms to should-start init script requirements (#179219).
- Accept "," as a delimeter for the external/ssh hostlist too
  (#182031).
* Fri Jun 02 2006 - lmb@suse.de
- Filesystem RA:
- Allow stop of an already unmounted fs to succeed (#180303).
- CRM:
- Order pre-start notifications after post-stop. Order monitoring to
  begin only after confirmed post-start (#180303).
- Do not schedule more than one probe per node for anonymous clones
  (#180799).
- Do not wait for operations on failed nodes, but abort them
  immediately (#180150).
- Probe anoymous clones correctly (#180699).
- Fix standby for nodes to work again.
* Tue May 30 2006 - lmb@suse.de
- mgmtd:
- Broken CIB could cause segfaults (OSDL #1276, #179052).
- lrmd:
- Querying the metadata of stonith plugins by the GUI causes loss of
  connection (OSDL #1275, #179707, #179052).
- CRM:
- Actually honor the result of the DTD validation and prevent broken
  XML from being inserted (OSDL #1276, #179859, #179522).
- 64bit autodetection fixed upstream again.
* Mon May 29 2006 - lmb@suse.de
- CRM:
- Monitor operations now scheduled only after the post-notifications
  for start have been delivered (#177525).
- Some attributes were missing from the meta namespace (#177554).
- Notifications for clones about failed nodes (#178488).
- Transitioner did not abort failed transitions, but looped, and crmd
  did not recover from killed tengine (#178764).
- crm_mon refresh interval off by a factor of 1000 (#178338).
- Forced probes could cause an infinite loop.
- LRM:
- Do not provide outdated metadata to resource agents (OSDL #1273).
- Filesystem RA:
- Perform the actual mount command within the "start" operation now
  and handle pre-notifications for start right (#177525).
- Detect broken OCFS2 filesystems earlier (#179520).
- GUI:
- Fix crash when selecting clone resource (#178665).
- Allowed to modify/start/stop individual clone children, but not the
  clone itself (#178773).
- ha_propagate: Distribute state whether or not heartbeat is started on
  boot too (#179233).
* Mon May 22 2006 - lmb@suse.de
- CRM:
- Do not shadow instance parameters with internal resource properties,
  and allow clone and them to be set within the (meta) instance
  parameters too (#177554).
- Fix clone migration in response to shutdowns when clone_max < num
  active nodes (#177637).
- Tags with no attributes were able to be added to the CIB without
  having an id added to them.
- Globally unique clones need to have all instances probed for on
  every node.
* Sat May 20 2006 - lmb@suse.de
- Fix compilation on s390.
* Fri May 19 2006 - lmb@suse.de
- GUI enhancements:
- Icons updated and new ones added.
- Resources now default to "stopped".
- Allow GUI to configure resource_failure_stickiness.
- Various useability fixes (among them OSDL #1221).
- CIM provider: Don't overwrite directives it doesn't know (#170877)
- LRM:
- Overflow fixes (OSDL #1222).
- Be more tolerant for LSB script format.
- Enhance heartbeat resource class (#1229).
- CRM:
- Fixes to DTD and DTD validation, prevented some coded features to be
  activated.
- Useage/help texts/log messages updated in various places.
- attrd: Make sure new value is always written to CIB.
- Support target_role for groups (instead of crashing) (OSDL #1248).
- Fix handling of defaults for target_role.
- Clones now default to one instance per node.
- Fix CIB update handling for replace (#174049, OSDL #1247).
- Probe newly added resources too (OSDL #1252).
- Avoid some unnecessary resource restarts.
- Fix attribute value inheritance (OSDL #1253).
- pingd: Fix retry handling when connecting to CIB (#176014).
- crm_resource: Allow deletion to be forced when cluster doesn't have
  quorum.
- heartbeat core:
- Fix sending of compressed/binary fields over serial links.
- Resource Agents:
- OCFS2 integration fixed and merged with upstream (#174908, #175986).
- LVSSyncDaemon fixes to work with recent sed (OSDL #1249).
- STONITH: Provide correct metadata.
- apache: Fix metadata operation (OSDL #1254), monitor operation, and
  enhance helptexts.
- Start heartbeat after Xen is finished with its networking changes
  (#177134).
- Small Coverity fixes.
* Mon May 08 2006 - lmb@suse.de
- GUI can now be invoked as "hb_gui" in the regular path.
- ha_propagate added to allow YaST2 heartbeat module to succeed
  (#172693, #172043).
- CRM:
- Case no longer matters for internal options.
- Process IPC routing messages immediately in the FSA to avoid
  stalling.
- Post notifications will now always be delivered, and after the
  operation too (#170573).
- When deliberately stopping a resource, stop everything which depends
  on it too (OSDL #1219).
- Fix file permissions on the CIB to not be world readable (OSDL
  [#1224]).
- Default to stop deleted resources, which is the expected behaviour
  (OSDL #1236, #173002).
- When logging XML, allow admin-defined sensitive information to be
  hidden (to whiteout credentials).
- Cloned resource groups fixed.
- cibadmin will now update/modify/replace/create objects recursively
  if needed.
- If "target_role" is explicitly set, the is_managed attribute is
  ignored, to ease debugging of configurations and RAs.
- Don't schedule recurring operations for nodes which are offline
  anyway.
- Don't update the CIB with failure to cancel operations.
- crm_resource accepts both long and short resource names.
- crm_resource triggers an update/transition after clearing resource
  state.
- crm_failcount querying the current failure count has been fixed.
- Clean up reporting of dead resources in crm_mon / crm_resource -L.
- Help text fixes.
- Logging fixes.
- Only create debugging coredumps for non-fatal assertions if debug is
  enabled.
- cibadmin manpage added.
- CCM:
- Fix one potential NULL pointer dereference.
- heartbeat core:
- Patch from gshi to greatly enhance autojoin behaviour; new nodes
  need to listen to those already joined for the hostcache contents.
- Resource Agents:
- Bring drbd RA uptodate with master/slave changes.
- CIM provider:
- Logging fixes.
- Fix performance bugs in the caching mechanism.
- Regression test harness fixed & extended.
- Support location constraints.
* Mon Apr 24 2006 - lmb@suse.de
- Update to heartbeat 2.0.5 to sync intermediate fixes with upstream.
  Incremental changelog to previous:
- CRM:
- Do not promote resources which couldn't be started.
- Fix handling of orphaned resources (again).
- Use CTS for BasicSanityCheck.
- Increase some timeouts to not trigger prematurely.
- Ensure that promotions and demotions happen in the correct order
  always.
- Ignore the quorum state written in on-disk CIB copy.
- Ensure that we can deal with slightly confusing messages from CCM
  caused by autojoin.
- resource_tickiness/is_managed can now be set to "default" to
  explicitly inherit the global default.
- Process LRM events immediately, as the TE might need them to
  complete the transition.
- GUI/mgmtd:
- Updated icons.
- Ability to start/stop/demote resources on request.
- Show master/slave status in the GUI.
- Initialize cache for objects when first used, not on startup;
  speeds up initialization.
- mgmtd is now started by default for CRM-style clusters.
- Resource Agents:
- Apache RA fixes to error handling and corresponding exit codes.
- LRM:
- Keep track of all monitor operations, even if they are running at
  different depths or intervals.
- CCM/membership:
- Reduce excessive timeouts.
- Send node names as part of the new membership, important for
  autojoin (OSDL #1181).
- Only update the node names in the right place (OSDL #1198).
- CIM provider:
- Add instance attributes to mof.
- Add id attribute to resource group object.
- heartbeat core:
- Reduce memory footprint by shrinking message history.
- Turned off a "feature" where a node could be automatically
  deleted, which broke autojoin.
- Improved API for heartbeat/GSource, to avoid upto 3 minute delays
  in delivering messages to the CRM.
- Default to realtime-safe compression algorithm.
- Everywhere:
- Logging.
- Small Coverity fixes.
- Additional fixes:
- Priorize local IPC to avoid blocking the Transition Engine (OSDL
  [#1206]).
- Minor corrections to crmadmin help text (#163925).
- Set OCF_MONITOR_LEVEL correctly.
* Mon Apr 10 2006 - lmb@suse.de
- Reduce BuildRequires further.
- Disable backwards compatibility for some depreciated features which
  were never shipped.
- Various (~20) minor issues found by Coverity, mostly in error legs.
- CRM:
- ipfail functionality now available in CRM mode using attrd + pingd,
  controlled via pingd OCF Resource Agent (OSDL #123).
- Bugfixes for rolling upgrade scenarios.
- Set up the STONITH configuration prior to issueing STONITH requests;
  avoid unnecessary retries (OSDL #1102).
- Further updates to the DTD.
- Special CIB section "cib-bootstrap-options", read and parsed first
  thing on startup.
- crmadmin help did not match real option names (#163933).
- If CIB validation fails, revert to last known good CIB.
- Better CIB error reporting for invalid sections.
- Mask misleading empty "failed" message for success.
- Make the DC timeout dependant on the value of ha.cf/initdead
- GUI/mgmtd:
- Display the cluster currently connected.
- Do _not_ log the password in cleartext.
- CIM provider:
- Resource addition
- Adding operations to resources
- New class HA_ClusteringService
- Various updates.
- heartbeat core:
- Messages were delayed by several minutes in some cases (OSDL
  [#1183]).
* Fri Apr 07 2006 - lmb@suse.de
- heartbeat package failed to uninstall because init script was not LSB
  compliant (OSDL #1189, Novell #117474).
* Wed Apr 05 2006 - lmb@suse.de
- Reduce buildrequires dependencies by defaulting to path names.
- CRM fixes:
- Master/slave resources have been tested and work.
- "crm_role" now passed on to RAs as indication of m/s invocation.
- Election timer related fixes (OSDL #1151, #1154).
- Logging has been greatly enhanced and reduced in volume.
- Failcount only applies to recurring actions (monitor).
- crm_verify now can also optional save the CIB used (if invoked on
  the live CIB) for reproduction.
- Better error handling and user feedback in cibadmin.
- CIB is now smaller by only saving the hash of the parameters in the
  status section instead of the full list.
- DTD has been updated and the CIB can now be validated using xmllint
  (OSDL #1169).
- crm_mon no longer displays provider for LSB/heartbeat class
  resources.
- pengine now writes its inputs to disk under
  /var/lib/heartbeat/pengine/, instead of logging them. Reduces log
  flooding by 40%% and improves supportability.
- New resource paramater "target_role" to specify that the admin wants
  a resource to be Stopped (ie, not running), or to prevent it from
  being promoted to Master.
- CIB better deals with invalid changes by the admin.
- cibadmin fixes for "Call cib_create failed (-25): The update was
  empty"
- CIB deletions could cause a crash (OSDL #1141).
- Make sure logs are flushed before aborting.
- CIB now supports validation against the DTD to protect the admin
  from inserting invalid XML when all nodes are 2.0.5 and up (OSDL
  [#1169]).
- crmadmin help text advertised unimplemented commandline options
  (#163517, #163563).
- GUI:
- Indicate refreshing progress in status bar to avoid appearing hung
  (OSDL #1160).
- Further improved client-side caching for performance.
- Report why login to the server failed.
- Fixed a crash in conjunction with crm_resource -M (#154512, OSDL
  [#1176]).
- Show whether a node is in standby mode or not (OSDL #1175, #1004).
- mgmtd memory leak fixed.
- Crashed daemon caused GUI to consume all CPU (OSDL #1157).
- LRM:
- Logging improvements.
- Do not send redundant notifications to crmd (OSDL #1083).
- Do report failure of class heartbeat resources (OSDL #1163).
- CIM provider:
- Detect http/https ports for openwbem (OSDL #1104, #151297).
- heartbeat core:
- Fix a crash in our IPC code on channel disconnect (OSDL #1182).
- Resource agents:
- ldirectord to use /dev/null instead of /dev/console when daemonized
  (OSDL #1180).
- Remove stray "parameters" closing tag in OCFS2-enabled Filesystem
  RA, causing GUI to not display help (#158531).
* Mon Mar 27 2006 - lmb@suse.de
- Logging updates.
- CRM fixes:
- Master/slave resources now apply number of maximum masters
  correctly.
- STONITH type (reset/power-off) configurable (OSDL #113).
- Checksum the CIB on disk (OSDL #197).
- Ability to migrate resources after a monitoring failure.
- Deleting a deleted object is idem-potent and succeeds now.
- TE now detects cancelled ops correctly.
- If the UUID of a node changes (because the same hostname has been
  re-assigned to a newly rebuild machine), update our caches.
- Create core files / backtraces for asserts without crashing.
- Do not issue probes for orphaned resources.
- If probing returns that the resource is running, do not treat this
  as a failure always.
- crm_master must also use the same uname for the local host as
  heartbeat.
- GUI:
- Typos fixed in messages.
- Do not display stopped orphaned resources as to not confuse users.
- "Not running" is distinct from "failed".
- Do not retrieve the complete CIB for every update of the screen.
- LRM:
- Enhance fix for OSDL #756.
- stonithd:
- Fix memory leaks (OSDL #1036 and #951).
- CCM:
- Split-brain recovery fix, handle born-on correctly.
- 64bit fix: gpointer type was truncated.
- CIM provider:
- Make constraints writable.
- Make resources writable.
- Ability to create/update ha.cf
- Resource agent for Xen guests added.
* Mon Mar 06 2006 - lmb@suse.de
- Post-2.0.4 critical fixes:
- CCM: Attach the bornon value to the membership message. Fixes
  split-brain scenario documented in OSDL #1092.
- heartbeat: should_drop_message() might be called recursively; last
  sequence number needs to be updated beforehand. Fixes split-brain
  after STONITH bug OSDL #1103.
- Portability fixes.
* Wed Mar 01 2006 - lmb@suse.de
- Update to 2.0.4 - bugfix-only release:
  + Fixed cpu loop for LRM
  + Fixed minor bugs in Filesystem resource agent (submounts, some
  options)
  + Various small resource agent cleanups
  + Keep CCM from core dumping when certain conditions occur which
  cannot be recovered from.
  + make the Raid1 resource agent more mdadm friendly (Ranjan Gupta), and
  other fix
  + CRM General
  + Fix for a crash where the CRM referenced a NULL pointer.
  + Refine shutdown detection
  + Review and fix the contents and timing of CIB updates that are required
  when nodes appear, leave, and join the CRM.
  + TEngine
  + Avoid recursion by using Gmainloop
  + Detect un-runnable sections of the graph without the need for timeouts
  + PEngine
  + Add code to support notification data for start/stop actions
  associated with clone resources
  + Bug 1084: Nodes that are offline but have active resources listed need
  to be marked as unclean for possible fencing
* Thu Feb 23 2006 - lmb@suse.de
- Import fixes from upstream:
- Failures on lower priority resources will no longer abort the
  transition if higher priority ops are still on-going (OSDL #815).
- Transitioner could still be active during join process because of a
  wrong message filter, potentially causing resources to be active
  twice.
- Node state tracking went wrong in corner cases.
- CRMd state machine fixes.
- Do not request information already known every time after an
  election.
- Be more tolerant of not-entirely-correctly formatted XML.
- CIB shutdown enhanced to not discard in-flight updates which led to
  unneeded STONITH operations (OSDL #1093).
- When not all nodes had been seen on initial startup, the UUID field
  for them would be empty; handle this case.
- Make sure that CRM does not crash when LRM dies.
- crm_resource: resource migration will try to avoid infinite
  priority, unless admin explicitly requests it, to allow for
  automated fail-back by default.
- More logging tuning.
- CTS synchronized with the above changes.
- Fix requires for GUI (#149702).
* Thu Feb 16 2006 - lmb@suse.de
- Update to 2.0.3 release. Upstream changelog:
  + Management Daemon/Library and GUI client
  + provide a management library for manamgement daemon and CIM provider
  + provide a management daemon and a basic GUI management tool
  + CIM enablement
  + CIM (Common Information Model) enablement - works with
  sblim-sfcb, OpenWBEM, and Pegasus CIMOMs
- not yet compiled into our binary RPMs because of dependencies
  + CRM (Cluster Resource Manager) General
  + All shutdowns go via the PE/TE - preserves inter-resource ordering
  + Support for future changes to the CIB (depreciation of cib_fragment)
  + Overhaul of IPC and HA channel callback logic
  + Many improvments to the quality and quantity (reduced) of logging
  + CRMd
  + Timerless elections - when everyone has voted we're done
  + Use the replace notification from the CIB to re-update our copy with
  our view of our peers.
  + Reliably detect if the LRM connection is still active.
  + Elections
  + newer versions defer to older ones in DC elections
  (opposite of current behavior)
  + this means that only once the complete cluster has been upgraded will
  we start acting like the new version and accept new config options
  + it also means newer PE's and TE's (the most complex pieces) don't need
  "act like the old version" options and can rely on all slaves being at
  least as up-to-date as they are
  + people can run mixed clusters as long as they want
  (until they want the new PE features)
  + new DCs only update the version number in the CIB if they have a
  higher value
  + nodes that start and have a lower version than that stored in the CIB
  shut themselves down (the CRM part anyway)
  + this prevents an admin from introducing old nodes back into an upgraded
  cluster. It probably doesn't fully understand the config and may not
  support the actions the PE/TE requires.
  + CIB (Common Information Base daemon)
  + Make sure "query only" connections cant modify the CIB
  + Periodically dump some stats about what the CIB has been doing.
  + Verify there are no memory leaks
  + Performance enhancements
  + Prevent a single CIB client from blocking everyone else
  + Clients Can be notified of full CIB replacements
  + record_config_changes option in ha.cf for those worried about
  the amount of logging.  Defaults to "on".
  + suppress_cib_writes CIB option replaced with in enable_config_writes ha.cf
  (enable_config_writes to be removed in 2.0.4)
  + Never write the status section to disk
  + Check permissions for the on-disk CIB at startup
  + Dont trash unreadable on-disk CIBs
  + Fix for updates made against the whole CIB (not just one section)
  + PEngine (Policy Engine)
  + Many improvements to the handling of resource groups
  + Support "anonymous" clones
  + Fix stonith ordering
  + Order DC shutdowns after everyone else's
  + Support short resource names (for group and clone resources)
  + The ordering and colocation of grouped resources is now optional
  + Support probing new nodes for active resources.
  + All "probe" actions are controlled by the PE.
  + No resource may be started until the probing is complete.
  + Do not probe for resources we know to be active on unprobed nodes
  + When looking for monitor ops, only mark it optional if it was already
  active on the node we're interested in.
  + Detect changes to class/type/provider/parameters and force a restart
  of the resource
  + New record_pengine_inputs option in ha.cf for those worried about
  the amount of logging.  Defaults to "on".
  + Differentiate between config and processing errors
  + reduces the frequency that we need to log the complete CIB
  + Make notify for master/slave work
  + New CIB option: stop_orphan_actions (boolean)
  If a resource is no longer defined, we can optionally stop it
  + New CIB option: stop_orphan_actions (boolean)
  If a monitor op for a given interval is no longer defined, we can
  optionally stop it
  + Add support for time and phase-of-the-moon based constraints
  + Improved failure handling: avoiding false positives
  + Always create orphaned resources - so they show up in crm_mon
  + Do not require sequential clone numbers starting at 0
  + TEngine (transition engine)
  + Detect old stonith ops
  + CLIs (Command Line interfaces)
  + Create a --one-shot option for crm_mon
  + Switch a number of CLI tools to use the new syncronous connections
  + Log errors to stderr where they will be seen and therefore useful
  + Support migration and un-migration of resources and resource groups
  + Create crm_verify for checking configuration validity
  + Simplify the passing of XML to cibadmin
  + Known open bugs worth mentioning:
  (http://www.osdl.org/developer_bugzilla/)
  + 1075, 1080, 1081, 1084, 1085, 1064, 1069, 756, 984
  + 1050, 1082, 1037, 1079
- Post-release fixes:
- Transitioner less fragile and infinite loops fixed
- CIB update counters now set correctly
- Shutdown of the CRM now goes via the Policy Engine to coordinate
  shutdown of managed resources
- Small logging cleanups.
* Mon Jan 30 2006 - lmb@suse.de
- Update to 2.0.3.20060130-CVS.
- Add OCFS2 extensions to Filesystem agent for testing.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - lmb@suse.de
- Update to 2.0.3.20060123-CVS.
* Mon Jan 16 2006 - lmb@suse.de
- Sanity checks should not have been enabled.
* Mon Jan 16 2006 - lmb@suse.de
- Update to 2.0.3.20060116-CVS.
- Enable full stack smashing protection.
- Split off CIM provider into its own subpackage.
* Fri Dec 16 2005 - ro@suse.de
- removed raidtools from nfb
* Tue Dec 13 2005 - lmb@suse.de
- Fix one more makefile dependency.
- Disable make parallelization (again).
* Tue Dec 13 2005 - lmb@suse.de
- Update to 2.0.3.20051213-CVS.
- Enabled OpenWBEM CIM agents.
- Enabled management daemon.
* Thu Dec 01 2005 - lmb@suse.de
- Update to 2.0.3-20051201-CVS.
* Thu Nov 10 2005 - lmb@suse.de
- Update to 2.0.3.20051110-CVS.
- Disable fatal warnings temporarily (breaks in some generated flex
  code).
* Tue Nov 08 2005 - dmueller@suse.de
- don't build as root
* Tue Oct 04 2005 - lmb@suse.de
- Update to 2.0.3.20051004-CVS.
* Tue Sep 06 2005 - lmb@suse.de
- Update to 2.0.1.20050906 CVS
- Fix cyclic dependency problem (#115370)
* Wed Aug 17 2005 - lmb@suse.de
- Update to CVS from 2005-08-17 (pre-2.0.1)
- Specfile cleanups.
- Reenable build parallelization, the dependency problem is fixed now.
* Mon Aug 15 2005 - lmb@suse.de
- Update to CVS from 2005-08-15.
- New manpages.
- New GPL plumbing library.
* Wed Aug 03 2005 - uli@suse.de
- disabled build parallelization. Again.
* Mon Aug 01 2005 - lmb@suse.de
- Update to 2.0.0 from upstream.
- With additional fix for heartbeat bug #797 pulled from CVS.
* Wed Jul 20 2005 - uli@suse.de
- disabled build parallelization (transient build failures)
* Mon Jul 11 2005 - lmb@suse.de
- Update to 1.99.6.
- Drop static libraries.
- Exclude permissions file (#66310).
* Sun Apr 10 2005 - lmb@suse.de
- Update to 1.99.4
- gcc4 compile fixes
- Add ha_logd to init script as needed.
* Mon Mar 07 2005 - lmb@suse.de
- More bugfixes from upstream, mostly in core communication code.
- Make failing the build in response to BasicSanityCheck adjustable
  and include testlog in output. (Makes triaging distributed builds
  easier.)
- Ignore core dumps created by "stat" failing with MALLOC_CHECK_=2
* Mon Feb 28 2005 - lmb@suse.de
- Fix dependencies.
- Import several bugfixes from upstream for multi-node clusters:
- Startup & shutdown fixes
- DC election fixes
- Logging cleanups
* Mon Feb 21 2005 - lmb@suse.de
- Update to heartbeat 1.99.2 from upstream.
* Tue Sep 21 2004 - lmb@suse.de
- Disable the build-time testing again.
* Tue Sep 21 2004 - lmb@suse.de
- Update to 1.2.3 from upstream.
- Merge SLES9 SP1 changes.
- Add /etc/permissions.d/heartbeat to tell the system about the new
  setgid binary.
* Thu Aug 05 2004 - lmb@suse.de
- Fix build issue with recent autoconf/automake breakage.
- Backport fixes from pre-1.2.3 release:
  + Fix SimulStop testcase
  + Add work-around to quieten warning messages on sporadically bad
  serial links (#41786)
* Thu May 13 2004 - lmb@suse.de
- Oversight: Add patch for compilation on 64bit archs.
* Wed May 12 2004 - lmb@suse.de
- Update to upstream 1.2.2, bugfix release:
  + Fixed several format string errors in communication plugins
  + Fixed a bug which kept us from diagnosing errors in non-aliased interfaces
  + Fixed a bug in ipaddr which caused an infinite loop when auto_failback on
  + Added IPv6addr resource agent
  + Added ibmhmc STONITH plugin
  + Added cl_status command
  + Fixed a bug regarding restarts when auto_failback is on.
  + Fixed a couple of bugs in sha1 authentication method for very long keys
  + Fixed a bug in the portblock resource agent so that it no longer blocks
  ports on the loopback interface
  + Increased the time allowed for split brain test before it declares failure
* Tue Apr 20 2004 - lmb@suse.de
- Update with upstream 1.2.1, fixes following bugs:
  + Netstrings can now be used for our on-the-wire data format
  + Significant improvements to SAF data checkpointing API
  + Implemented unbuffered ipcsocket code for SAF APIs
  + Watchdog device now kills machine instantly after deadtime
  instead of after one minute
  + Hostnames should now be treated case-independently.
  + Fixed bug with auto_failback and quick full restarts
  + We now automatically reboot when resources fail to stop correctly.
  + We now check the status of the configured STONITH device hourly.
  + STONITH operations repeat after a 5 second delay, not immediately.
  + Added hb_takeover command - complement to hb_standby
  + Added documentation on how to use evlog/TCP to enable testing to
  take place without losing messages due to UDP message forwarding
  + Several new tests from Mi, Jun - split brain, bandwidth, failure
  detection time.
  + Fix to LVM resource from Harald Milz <hm@muc.de>
  + Fixed false complaints about resource scripts (from Jens Schmalzing)
  + Fixed false stop failure from LinuxSCSI  (from Jens Schmalzing <j.s@lmu.de>)
- Disable experimental CRM feature for production version.
- Minor specfile updates.
* Mon Apr 05 2004 - lmb@suse.de
- Report correct heartbeat status code from init script. (#37544)
* Wed Feb 18 2004 - lmb@suse.de
- New stable release: heartbeat 1.2.0
- Minor specfile cleanups.
* Mon Feb 09 2004 - lmb@suse.de
- Updated heartbeat init script to match latest upstream.
- Synced with CVS.
* Fri Feb 06 2004 - lmb@suse.de
- Upgrade to latest development version from CVS.
- Specfile changes for 1.1.4
- Prepared for nightly builds, including some additional spec file
  variables to turn the automated regression tests on and off.
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig
* Mon Nov 10 2003 - ro@suse.de
- use net-snmp instead of ucd-snmp
* Mon Oct 13 2003 - lmb@suse.de
- Upgrade to 1.0.4.
- Fix permission problem with CCM sockets.
- Do not compile with -g.
- Fix ldirectord resource script being included twice.
- Fix pre script to not fail if the user/group were already in place.
* Fri Aug 29 2003 - kukuk@suse.de
- Call useradd with -r for system accounts [Bug #29611]
* Thu Jul 31 2003 - lmb@suse.de
- Added support for proper restart handling on update.
* Thu Jul 31 2003 - lmb@suse.de
- Pulled in proper fix for previous hotfixes from heartbeat CVS.
- Also includes fixes to Filesystem resource, messaging API, reload not
  working as well as the BasicSanityCheck fixes required for QA.
* Wed Jul 02 2003 - lmb@suse.de
- Fix for reload bug. (#27677)
- Fix for STONITH not being executed on startup if other node is
  down. (#27677)
* Wed Jun 25 2003 - lmb@suse.de
- Fix stray dependency.
- Upgrade to 1.0.3 final.
- Fixes security issue (#27632)
* Tue Jun 17 2003 - lmb@suse.de
- Fix filelist.
* Wed Jun 04 2003 - lmb@suse.de
- Upgrade to 1.0.3pre, consolidating the former fixes with mainline.
- Important overflow bug fixed for scenarios where heartbeat reaches
  uptimes of >246days.
- Filelist cleanups.
* Fri Apr 11 2003 - lmb@suse.de
- Fix and cleanup to previous fix.
* Wed Apr 09 2003 - lmb@suse.de
- Fixes to heartbeat's mlockall() strategy to reduce the chance
  of being hit by a page fault under load in timing critical
  sections.
* Wed Mar 26 2003 - lmb@suse.de
- Fix for #25720: IPC socket code did not deal correctly with
  messages still to be read from a socket which has already
  indicated disconnect, the final message would not be read.
* Tue Mar 25 2003 - lmb@suse.de
- Fix for #25718: apphbd restart failure.
* Thu Mar 20 2003 - lmb@suse.de
- Update to 1.0.2 proper from 1.0.2pre:
- man page update for apphbd
- Minor bugfixes
* Mon Mar 17 2003 - lmb@suse.de
- Incorporated fix from Ram Pai of IBM EVMS group for message loss
  under high load.
* Fri Mar 14 2003 - lmb@suse.de
- Upgrade from beta-cycle to 1.0.2pre.
- Includes bugfix for send_arp and others.
* Fri Feb 14 2003 - lmb@suse.de
- Upgrade to 0.4.9g
* Wed Feb 05 2003 - lmb@suse.de
- Incorporated fix for apphbd realtime freeze, bug #23304.
* Mon Feb 03 2003 - lmb@suse.de
- Fixes bug in apcmastersnmp module for copying outlet names, #22790
* Thu Jan 30 2003 - lmb@suse.de
- Compile fixes.
* Tue Jan 28 2003 - lmb@suse.de
- Updated to latest CVS.
- Fixes for CCM (STONITH will now tell if no device was configured)
- wti_nps / apcmaster modules: fixes for telnet timing on fast machines.
* Thu Jan 09 2003 - lmb@suse.de
- Fix for local status updates getting delayed / lost.
- Fix in IPaddr if used with LVS & hidden interfaces on loopback.
- Corrected placement of apphbd pid file
* Thu Nov 21 2002 - lmb@suse.de
- Update to heartbeat 0.4.9f
- Supports millisecond timeouts, includes startstop script
- Fix for bugzilla #21905: memory leak in heartbeat-ldirectord due
  to Perl socket() bug
- ipfail socket now created correctly
- Fix for ucast comm plugin (again)
- (Includes fix for autoconf breakage)
* Thu Nov 21 2002 - ro@suse.de
- removed duplicates from configure.in
* Wed Oct 09 2002 - lmb@suse.de
- heartbeat version 0.4.9e
- More elaborate fix for #20586 (drops privileges, printf fixes in
  more places)
- Realtime fixes, filedescriptor leak fixed, startup SMP race fixed,
  unicast plugin works again.
- Minor tidy-up to the rc script.
- Superfluous dependency on libnet dropped.
* Sun Oct 06 2002 - okir@suse.de
- security fix (bug #20586)
* Tue Sep 17 2002 - lmb@suse.de
- Updated because of a very important bugfix in the generic plug-in
  system.
- Include CTS in package.
- Fixes for the ipfail module and ping membership code.
- Logging cleanups.
- Fix one build dependency which resulted in the paths for ping and ssh
  not being resolved correctly.
* Tue Sep 10 2002 - lmb@suse.de
- The STONITH plugin apcmastersnmp wasn't linked against libsnmp
  for some reason.
* Thu Aug 29 2002 - lmb@suse.de
- Updated to new CVS version because of important change in the module
  handling for STONITH modules.
- Bugfixes for the restart logic, IPaddr takeover, send_arp, the Concensus
  Membership Code
- Fix for a potential tempfile race found by Olaf Kirch.
* Mon Aug 12 2002 - lmb@suse.de
- Updated because of an important bugfix in the message handling.
- Dropped compile fixes because they are now integrated.
- heartbeat-pils added as subpackage.
* Wed Jul 31 2002 - lmb@suse.de
- Updated to 0.4.9d
- Includes Ram Pai's concensus membership code
- PreReqs cleaned up
- Dependencies in init script enhanced
- user "hacluster" added
- Build fixed for distributions older than 8.1
* Tue Jul 23 2002 - lmb@suse.de
- Upgraded to official beta release.
* Tue Jul 16 2002 - lmb@suse.de
- Updated to latest CVS in preparation for official release.
- Added the autoconf 2.53 fix as a separate diff, as it got backed
  out of CVS, because it breaks all older versions of autoconf.
* Mon Jul 15 2002 - lmb@suse.de
- More compile fixes for sparc, s390. Now builds on all platforms.
* Thu Jul 11 2002 - lmb@suse.de
- Fixed compilation and packaging for 64-bit architectures.
- Fixed groupadd in spec file
* Wed Jul 10 2002 - lmb@suse.de
- Update to latest CVS once more
- heartbeat now requires libnet
- Checked into autobuild again
* Mon Apr 15 2002 - lmb@suse.de
- Updated heartbeat to 0.4.9b from CVS
- Reworked spec file
- Reworked init.d script; START_ variable now ignored
- Subpackage renamed to comply with original source: ldirectd -> ldirectord
* Thu Jan 31 2002 - jg@suse.de
- updated apcmastersnmp STONITH module to CVS version
* Thu Dec 20 2001 - ro@suse.de
- removed START_HEARTBEAT from startscript
- fixed insserv calls
* Thu Dec 20 2001 - jg@suse.de
- Update to 0.4.9.1
- removed insserv calls and rc-link creation from specfile
- added insserv macros to specfile
- added wti_nps module from linux-ha cvs
* Thu Oct 04 2001 - jg@suse.de
- added ia64 patch
* Wed Sep 19 2001 - jg@suse.de
- Update to 0.4.9
- added SSH reset module
- Build root works now (using patches from HBV)
* Tue Feb 20 2001 - uli@suse.de
- fixed for new glibc
* Thu Jan 18 2001 - ro@suse.de
- next occurence of old gid
* Thu Jan 18 2001 - ro@suse.de
- changed gid to 65 all over
* Tue Jan 16 2001 - ro@suse.de
- changed group-id to 65 (60 is already used)
* Tue Jan 16 2001 - mt@suse.de
- deleted '' characters in spec file
* Tue Dec 19 2000 - uli@suse.de
- added openssl to neededforbuild (needed by lynx)
* Fri Dec 01 2000 - ro@suse.de
- init-script move to /etc/init.d
* Wed Nov 22 2000 - mt@suse.de
- changed to LSB installation of run level scripts
* Fri Nov 17 2000 - mt@suse.de
- updated to newest version 0.4.8i
* Wed Nov 15 2000 - mt@suse.de
- updated to newest version 0.4.8h
* Wed Nov 08 2000 - mt@suse.de
- added patch to not to install docs from makefile - rpm does it
* Wed Nov 08 2000 - mt@suse.de
- new package
